--- anymeal-1.32/configure.ac.orig	2024-08-08 16:41:07.000000000 -0000
+++ anymeal-1.32/configure.ac	2025-04-29 18:53:44.926000000 -0000
@@ -15,34 +15,17 @@
   AC_MSG_ERROR([Could not find flex])
 fi
 
+AC_ARG_WITH(windres,
+  AS_HELP_STRING([--with-windres],
+    [Enable support for windres (default: auto)]),
+  [WINDRES=$with_windres], [WINDRES=auto])
+
 dnl Check for windres.
-AC_CHECK_PROG([WINDRES],windres,windres,no)
+if test "x$WINDRES" = "xauto"; then
+  AC_CHECK_PROG(WINDRES,windres,windres,no)
+fi
 AM_CONDITIONAL([HAVE_WINDRES], [test "x$WINDRES" = "xwindres"])
 
-dnl Check for Googletest source file.
-AC_ARG_WITH([gtest],
-            [AC_HELP_STRING([--with-gtest=<dir>],[directory of Google Test framework])],
-            [GTESTSRC="$withval"],
-            [GTESTSRC="/usr/src/googletest/googletest"])
-AC_MSG_CHECKING([Google Test source code])
-if test -e "$GTESTSRC/src/gtest-all.cc"; then
-  AC_MSG_RESULT([found])
-else
-  AC_MSG_RESULT([not found])
-fi
-AC_SUBST([GTESTSRC])
-
-dnl Check for Googletest library.
-PKG_CHECK_MODULES([GTEST], [gtest >= 1.12.0],
-                  [GTESTLIB='yes'],
-                  [GTESTLIB='no'])
-AC_SUBST([GTEST_CFLAGS])
-AC_SUBST([GTEST_LIBS])
-
-dnl Enable unit tests if Googletest source or library was found.
-AM_CONDITIONAL([ENABLE_TESTS], [test -e "$GTESTSRC/src/gtest-all.cc" || test "x$GTESTLIB" = xyes])
-AM_CONDITIONAL([GOOGLE_TEST_SRC], [test -e "$GTESTSRC/src/gtest-all.cc"])
-
 dnl Check for iconv-library.
 AC_MSG_CHECKING([for iconv-library])
 AC_TRY_LINK([#include <stdbool.h>
@@ -95,6 +78,4 @@
            anymeal/locale/it/Makefile
            anymeal/locale/nl/Makefile
            anymeal/locale/fr/Makefile
-           anymeal/locale/sl/Makefile
-           tests/Makefile
-           tests/fixtures/Makefile])
+           anymeal/locale/sl/Makefile])
